package com.ruoyi.system.mapper.form;

import com.ruoyi.system.domain.form.MdFormRecord;
import com.ruoyi.system.domain.form.MdFormRecordExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MdFormRecordMapper {
    long countByExample(MdFormRecordExample example);

    int deleteByExample(MdFormRecordExample example);

    int deleteByPrimaryKey(String id);

    int insert(MdFormRecord record);

    int insertSelective(MdFormRecord record);

    List<MdFormRecord> selectByExampleWithBLOBs(MdFormRecordExample example);

    List<MdFormRecord> selectByExample(MdFormRecordExample example);

    MdFormRecord selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") MdFormRecord record, @Param("example") MdFormRecordExample example);

    int updateByExampleWithBLOBs(@Param("record") MdFormRecord record, @Param("example") MdFormRecordExample example);

    int updateByExample(@Param("record") MdFormRecord record, @Param("example") MdFormRecordExample example);

    int updateByPrimaryKeySelective(MdFormRecord record);

    int updateByPrimaryKeyWithBLOBs(MdFormRecord record);

    int updateByPrimaryKey(MdFormRecord record);
}